> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udspeeddial.md).

# New-UDSpeedDial

New-UDSpeedDial erstellt eine schwebende Aktionsschaltfläche in PowerShell Universal, die sich zu drei bis sechs zugehörigen Schnellaktionen erweitert.

### Synopsis

Beim Drücken kann eine schwebende Aktionsschaltfläche drei bis sechs zugehörige Aktionen in Form eines Speed Dials anzeigen.

### Syntax

```powershell
New-UDSpeedDial [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Direction] <String>] [[-Icon] <Hashtable>] [[-OnClose] <Endpoint>] [[-OnOpen] <Endpoint>] [[-OnActionClick] <Endpoint>] [<CommonParameters>]
```

### Beschreibung

Beim Drücken kann eine schwebende Aktionsschaltfläche drei bis sechs zugehörige Aktionen in Form eines Speed Dials anzeigen.

### Parameter

#### -Id

Die ID dieser Komponente. Standardmäßig ist es eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid().ToString())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Aktionen für dieses Speed Dial. Verwenden Sie New-UDSpeedDialAction, um Aktionen zu erstellen.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Direction

Die Richtung, in die sich das Speed Dial öffnet. Gültige Werte sind up, down, left und right.

```
Required?                    false
Position?                    3
Default value                up
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Das Symbol für das Speed Dial. Verwenden Sie New-UDIcon, um ein Symbol zu erstellen.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClose

Ein Skriptblock, der aufgerufen wird, wenn sich das Speed Dial schließt.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnOpen

Ein Skriptblock, der aufgerufen wird, wenn sich das Speed Dial öffnet.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnActionClick

Ein Skriptblock, der aufgerufen wird, wenn auf eine Aktion geklickt wird.

```
Required?                    false
Position?                    7
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Einfaches Speed Dial

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial1'
```

Erstellt ein einfaches Speed Dial.

#### Beispiel 2: OnClick

```powershell
New-UDSpeedDial -Content {
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account' -Id 'myAccount'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
   New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
} -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial2' -OnActionClick {
   Show-UDToast "Ouch! You clicked $EventData"
}
```

Erstellt ein Speed Dial mit einer OnClick-Aktion.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udspeeddial.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
